RDKit: RDKit::PairHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::PairHolder Class Reference

`#include <Dict.h>`

Inheritance diagram for RDKit::PairHolder:

## Public Member Functions
| PairHolder ()
| PairHolder (const PairHolder &p)
| PairHolder (PairHolder &&p)
| PairHolder (Dict::Pair &&p)
| ~PairHolder ()
Public Member Functions inherited from RDKit::Dict::Pair
| Pair ()
| Pair (std::string s)
| Pair (std::string s, const RDValue &v)
void | cleanup ()

## Additional Inherited Members
Public Attributes inherited from RDKit::Dict::Pair
std::string | key
RDValue | val

## Detailed Description

Definition at line 358 of file Dict.h.

## Constructor & Destructor Documentation

## ◆ PairHolder() [1/4]

RDKit::PairHolder::PairHolder | ( |  | ) |
| inline

Definition at line 360 of file Dict.h.

References RDKit::Dict::Pair::Pair().

Referenced by PairHolder(), and PairHolder().

## ◆ PairHolder() [2/4]

RDKit::PairHolder::PairHolder | ( | const PairHolder & | p | ) |
| inlineexplicit

Definition at line 362 of file Dict.h.

References RDKit::copy_rdvalue(), RDKit::Dict::Pair::key, RDKit::Dict::Pair::Pair(), PairHolder(), and RDKit::Dict::Pair::val.

## ◆ PairHolder() [3/4]

RDKit::PairHolder::PairHolder | ( | PairHolder && | p | ) |
| inlineexplicit

Definition at line 366 of file Dict.h.

References RDKit::RDTypeTag::EmptyTag, RDKit::Dict::Pair::key, RDKit::Dict::Pair::Pair(), PairHolder(), and RDKit::Dict::Pair::val.

## ◆ PairHolder() [4/4]

RDKit::PairHolder::PairHolder | ( | Dict::Pair && | p | ) |
| inlineexplicit

Definition at line 371 of file Dict.h.

References RDKit::RDTypeTag::EmptyTag, RDKit::Dict::Pair::key, RDKit::Dict::Pair::Pair(), and RDKit::Dict::Pair::val.

## ◆ ~PairHolder()

RDKit::PairHolder::~PairHolder | ( |  | ) |
| inline

Definition at line 376 of file Dict.h.

References RDKit::RDValue::cleanup_rdvalue(), and RDKit::Dict::Pair::val.

The documentation for this class was generated from the following file:

- Dict.h